Package org.apache.ignite.internal.processors.cache

## Class GridCacheMultiTxFuture<K,​V>

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<Boolean>
  - - org.apache.ignite.internal.processors.cache.GridCacheMultiTxFuture<K,​V>

All Implemented Interfaces:
  `IgniteInternalFuture<Boolean>`

    public final class GridCacheMultiTxFuture<K,​V>
    extends GridFutureAdapter<Boolean>

Future which waits for completion of one or more transactions.

### Constructor Summary

Constructors
`GridCacheMultiTxFuture​(GridCacheContext<K,​V> cctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addTx​(IgniteInternalTx tx)`
`void` `init()` Initializes this future.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, chain, chain, chainCompose, chainCompose, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheMultiTxFuture

    public GridCacheMultiTxFuture​(GridCacheContext<K,​V> cctx)

Parameters:
  `cctx` - Cache context.

### Method Detail

#### addTx

    public void addTx​(IgniteInternalTx tx)

Parameters:
  `tx` - Transaction to add.

#### init

    public void init()

Initializes this future.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFutureAdapter<Boolean>`